

.recipe-addon{
    height: 80vh;
    width: 100%;
    display: flex;
    flex-direction: column;

  .recipe-addon__header{
    padding: 16px 80px 16px 16px;
    width: 100%;
    display: flex;
    justify-content: space-between;
    button {
      padding-left: 10px;
      ng-miam-icon {
        transform: rotate(90deg);
      }

      &:hover > ng-miam-icon > div > svg > path:nth-child(2)
      {
        transition: var(--m-default-transition);
        fill:var(--m-color-primary-text);
      }
    }
    img{
      height: 25px;
    }
  }

  .recipe-addon__content{
    flex: 1 1;
    width: calc(100% -  8px);
    height: 100%;
    padding: 16px 24px;
    overflow-x: hidden;
    overflow-y: auto;
    margin-right: 8px;

    &::-webkit-scrollbar-button {
      height: 20px;
    }
  
    &::-webkit-scrollbar-track {
      background: var(--m-color-grey);
    }
  
    &::-webkit-scrollbar {
      cursor: -webkit-grab;
      height: 7px;
      width: 5px;
    }
    &::-webkit-scrollbar-thumb {
      background: var(--m-color-primary);
      border-radius: 5px;
    }

    .recipe-addon__content__iframe {
      height: 100vh;
      width: 100%;
    }
  }
}
